"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestValidationError = void 0;
const error_base_class_1 = require("./errors-base-class/error-base-class");
class RequestValidationError extends error_base_class_1.CustomError {
    constructor(errors) {
        // Calling the parent class (Error) constructor as this is a constructor of sub-class
        super("Invalid Login Parameters.");
        this.errors = errors;
        this.statusCode = 400;
        // Since we are extending a built-in class (Error) the following line of cade has to be added
        Object.setPrototypeOf(this, RequestValidationError.prototype);
    }
    serializeErrors() {
        return this.errors.map((error) => {
            if (error.type === "field") {
                return { message: error.msg, field: error.path };
            }
            return { message: error.msg };
        });
    }
}
exports.RequestValidationError = RequestValidationError;
