"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requireAuth = void 0;
const not_authorized_error_1 = require("../errors/not-authorized-error");
const requireAuth = (req, res, next) => {
    if (!req.currentUser) {
        // If there is no currentUser property (Added by currentUser middleware if there is a valid jwt) in the request object,
        // Either the currentUser middleware was not called or the user/userData is found invalid by the currentUser middleware
        // In both cases, throw error denoting that the user is not authorized to access the requested resource.
        throw new not_authorized_error_1.NotAuthorizedError();
    }
    // If currentUser property (Added by currentUser middleware if there is a valid jwt) in the request object - User is Authorized
    // Allow the request to proceed by calling the next function.
    next();
};
exports.requireAuth = requireAuth;
